zenilib: CFF_FontRecDictRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
CFF_FontRecDictRec_ Struct Reference

`#include <cfftypes.h>`

## Public Attributes

FT_ULong | charset_offset
FT_Int | charstring_type
FT_ULong | charstrings_offset
FT_ULong | cid_count
FT_ULong | cid_fd_array_offset
FT_ULong | cid_fd_select_offset
FT_UInt | cid_font_name
FT_Long | cid_font_revision
FT_Long | cid_font_type
FT_Long | cid_font_version
FT_UInt | cid_ordering
FT_UInt | cid_registry
FT_Long | cid_supplement
FT_ULong | cid_uid_base
FT_UInt | copyright
FT_UInt | embedded_postscript
FT_ULong | encoding_offset
FT_UInt | family_name
FT_BBox | font_bbox
FT_Matrix | font_matrix
FT_Vector | font_offset
FT_UInt | full_name
FT_Bool | has_font_matrix
FT_Bool | is_fixed_pitch
FT_Fixed | italic_angle
FT_UInt | notice
FT_Int | paint_type
FT_ULong | private_offset
FT_ULong | private_size
FT_Pos | stroke_width
FT_Long | synthetic_base
FT_Fixed | underline_position
FT_Fixed | underline_thickness
FT_ULong | unique_id
FT_ULong | units_per_em
FT_UInt | version
FT_UInt | weight

## Detailed Description

Definition at line 105 of file cfftypes.h.

## Member Data Documentation

FT_ULong CFF_FontRecDictRec_::charset_offset

Definition at line 126 of file cfftypes.h.

Referenced by cff_font_load().

FT_Int CFF_FontRecDictRec_::charstring_type

Definition at line 118 of file cfftypes.h.

Referenced by cff_decoder_init(), and cff_subfont_load().

FT_ULong CFF_FontRecDictRec_::charstrings_offset

Definition at line 128 of file cfftypes.h.

Referenced by cff_font_load().

FT_ULong CFF_FontRecDictRec_::cid_count

Definition at line 142 of file cfftypes.h.

Referenced by cff_subfont_load().

FT_ULong CFF_FontRecDictRec_::cid_fd_array_offset

Definition at line 144 of file cfftypes.h.

Referenced by cff_font_load().

FT_ULong CFF_FontRecDictRec_::cid_fd_select_offset

Definition at line 145 of file cfftypes.h.

Referenced by cff_font_load().

FT_UInt CFF_FontRecDictRec_::cid_font_name

Definition at line 146 of file cfftypes.h.

Referenced by cff_face_init(), and cff_subfont_load().

FT_Long CFF_FontRecDictRec_::cid_font_revision

Definition at line 140 of file cfftypes.h.

FT_Long CFF_FontRecDictRec_::cid_font_type

Definition at line 141 of file cfftypes.h.

FT_Long CFF_FontRecDictRec_::cid_font_version

Definition at line 139 of file cfftypes.h.

FT_UInt CFF_FontRecDictRec_::cid_ordering

Definition at line 136 of file cfftypes.h.

Referenced by cff_parse_cid_ros(), cff_subfont_load(), and if().

FT_UInt CFF_FontRecDictRec_::cid_registry

Definition at line 135 of file cfftypes.h.

Referenced by cff_face_init(), cff_font_load(), cff_get_cid_from_glyph_index(), cff_get_is_cid(), cff_parse_cid_ros(), cff_slot_load(), cff_subfont_load(), and if().

FT_Long CFF_FontRecDictRec_::cid_supplement

Definition at line 137 of file cfftypes.h.

Referenced by cff_parse_cid_ros(), and if().

FT_ULong CFF_FontRecDictRec_::cid_uid_base

Definition at line 143 of file cfftypes.h.

FT_UInt CFF_FontRecDictRec_::copyright

Definition at line 109 of file cfftypes.h.

Referenced by cff_subfont_load().

FT_UInt CFF_FontRecDictRec_::embedded_postscript

Definition at line 132 of file cfftypes.h.

Referenced by cff_subfont_load().

FT_ULong CFF_FontRecDictRec_::encoding_offset

Definition at line 127 of file cfftypes.h.

Referenced by cff_font_load().

FT_UInt CFF_FontRecDictRec_::family_name

Definition at line 111 of file cfftypes.h.

Referenced by cff_face_init(), cff_ps_get_font_info(), and cff_subfont_load().

FT_BBox CFF_FontRecDictRec_::font_bbox

Definition at line 124 of file cfftypes.h.

Referenced by cff_face_init(), and cff_parse_font_bbox().

FT_Matrix CFF_FontRecDictRec_::font_matrix

Definition at line 119 of file cfftypes.h.

Referenced by cff_face_init(), cff_parse_font_matrix(), cff_slot_load(), and cff_subfont_load().

FT_Vector CFF_FontRecDictRec_::font_offset

Definition at line 122 of file cfftypes.h.

Referenced by cff_face_init(), cff_parse_font_matrix(), and cff_slot_load().

FT_UInt CFF_FontRecDictRec_::full_name

Definition at line 110 of file cfftypes.h.

Referenced by cff_face_init(), cff_ps_get_font_info(), and cff_subfont_load().

FT_Bool CFF_FontRecDictRec_::has_font_matrix

Definition at line 120 of file cfftypes.h.

Referenced by cff_face_init(), and cff_parse_font_matrix().

FT_Bool CFF_FontRecDictRec_::is_fixed_pitch

Definition at line 113 of file cfftypes.h.

Referenced by cff_face_init(), and cff_ps_get_font_info().

FT_Fixed CFF_FontRecDictRec_::italic_angle

Definition at line 114 of file cfftypes.h.

Referenced by cff_face_init(), and cff_ps_get_font_info().

FT_UInt CFF_FontRecDictRec_::notice

Definition at line 108 of file cfftypes.h.

Referenced by cff_ps_get_font_info(), and cff_subfont_load().

FT_Int CFF_FontRecDictRec_::paint_type

Definition at line 117 of file cfftypes.h.

FT_ULong CFF_FontRecDictRec_::private_offset

Definition at line 129 of file cfftypes.h.

Referenced by cff_parse_private_dict(), and cff_subfont_load().

FT_ULong CFF_FontRecDictRec_::private_size

Definition at line 130 of file cfftypes.h.

Referenced by cff_parse_private_dict(), and cff_subfont_load().

FT_Pos CFF_FontRecDictRec_::stroke_width

Definition at line 125 of file cfftypes.h.

FT_Long CFF_FontRecDictRec_::synthetic_base

Definition at line 131 of file cfftypes.h.

FT_Fixed CFF_FontRecDictRec_::underline_position

Definition at line 115 of file cfftypes.h.

Referenced by cff_face_init(), cff_ps_get_font_info(), and cff_subfont_load().

FT_Fixed CFF_FontRecDictRec_::underline_thickness

Definition at line 116 of file cfftypes.h.

Referenced by cff_face_init(), cff_ps_get_font_info(), and cff_subfont_load().

FT_ULong CFF_FontRecDictRec_::unique_id

Definition at line 123 of file cfftypes.h.

FT_ULong CFF_FontRecDictRec_::units_per_em

Definition at line 121 of file cfftypes.h.

Referenced by cff_face_init(), cff_parse_font_matrix(), cff_size_request(), and cff_slot_load().

FT_UInt CFF_FontRecDictRec_::version

Definition at line 107 of file cfftypes.h.

Referenced by cff_ps_get_font_info(), and cff_subfont_load().

FT_UInt CFF_FontRecDictRec_::weight

Definition at line 112 of file cfftypes.h.

Referenced by cff_face_init(), cff_ps_get_font_info(), and cff_subfont_load().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/cff/cfftypes.h